[arch-commits] CVS update of extra/x11/sawfish (5 files)
Aaron Griffin
aaron at archlinux.org
Mon Oct 8 16:58:20 UTC 2007
Date: Monday, October 8, 2007 @ 12:58:20
Author: aaron
Path: /home/cvs-extra/extra/x11/sawfish
Added: no-info.patch (1.1)
Modified: PKGBUILD (1.7 -> 1.8)
Removed: gcc4.patch (1.1) sawfish.desktop (1.1) sawfish.patch (1.1)
upgpkg: sawfish 1.3.1-1
Version bump, and fix FS#8104
-----------------+
PKGBUILD | 35 +++++++++++++++---------------
gcc4.patch | 61 ------------------------------------------------------
no-info.patch | 22 +++++++++++++++++++
sawfish.desktop | 8 -------
sawfish.patch | 24 ---------------------
5 files changed, 40 insertions(+), 110 deletions(-)
Index: extra/x11/sawfish/PKGBUILD
diff -u extra/x11/sawfish/PKGBUILD:1.7 extra/x11/sawfish/PKGBUILD:1.8
--- extra/x11/sawfish/PKGBUILD:1.7 Sun May 21 14:24:59 2006
+++ extra/x11/sawfish/PKGBUILD Mon Oct 8 12:58:20 2007
@@ -1,27 +1,28 @@
-# $Id: PKGBUILD,v 1.7 2006/05/21 18:24:59 uid1014 Exp $
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-# Contributor: Judd Vinet <jvinet at zeroflux.org>
+# $Id: PKGBUILD,v 1.8 2007/10/08 16:58:20 aaron Exp $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
pkgname=sawfish
-pkgver=1.3
-pkgrel=3
+pkgver=1.3.1
+pkgrel=1
pkgdesc="An alternate window manager for GNOME"
-arch=(i686 x86_64)
-depends=('librep' 'esd' 'gtk2')
-source=(http://heanet.dl.sourceforge.net/sourceforge/sawmill/sawfish-$pkgver.tar.gz
- sawfish.patch gcc4.patch sawfish.desktop)
url="http://sawmill.sourceforge.net/"
-md5sums=('9e5ce5e76c60acecdb1889c1f173295a' '13e50a1611b0c022583acca201778dba'\
- '17236a3ec25e5f5d19fa11fa5f395a9c')
+arch=(i686 x86_64)
+license=('GPL')
+depends=('librep' 'esd' 'gtk2' 'rep-gtk' 'libsm')
+source=(http://downloads.sourceforge.net/sourceforge/sawmill/sawfish-$pkgver.tar.gz
+ no-info.patch)
+md5sums=('2ebed60d4fcae075f1f171972c40660a' '48be9727db805d8c9f3e9410b7ba638e')
+options=(!libtool)
build() {
cd $startdir/src/$pkgname-$pkgver
- patch -Np1 -i $startdir/src/sawfish.patch || return 1
- patch -Np0 -i $startdir/src/gcc4.patch || return 1
- ./configure --prefix=/usr
+ patch -Np1 -i $startdir/src/no-info.patch || return 1
+ ./autogen.sh
+ ./configure --prefix=/usr --enable-capplet
make -j1 || return 1
make DESTDIR=$startdir/pkg install
-
- install -m755 -d -D $startdir/pkg/etc/X11/sessions
- install -m644 $startdir/$pkgname.desktop $startdir/pkg/etc/X11/sessions
+
+ mkdir -p $startdir/pkg/etc/X11/sessions/
+ cp $startdir/pkg/usr/share/gnome/wm-properties/Sawfish.desktop \
+ $startdir/pkg/etc/X11/sessions/
}
Index: extra/x11/sawfish/gcc4.patch
diff -u extra/x11/sawfish/gcc4.patch:1.1 extra/x11/sawfish/gcc4.patch:removed
--- extra/x11/sawfish/gcc4.patch:1.1 Sat Oct 1 06:59:17 2005
+++ extra/x11/sawfish/gcc4.patch Mon Oct 8 12:58:20 2007
@@ -1,61 +0,0 @@
---- src/display.c 2003/08/19 05:34:31 1.45
-+++ src/display.c 2005/01/04 15:34:25 1.46
-@@ -44,7 +44,7 @@
- # include <netdb.h>
- #endif
-
--char *prog_name, *visual_name;
-+char *visual_name;
- Display *dpy;
- int screen_num, screen_width, screen_height;
- Window root_window, no_focus_window;
-@@ -286,7 +286,7 @@
- bool
- sys_init(char *program_name)
- {
-- char *display_name = 0;
-+ char *display_name = 0, *prog_name = 0;
- repv opt;
-
- #ifdef HAVE_UNIX
-
---- src/sawmill_subrs.h 2003/08/19 05:34:31 1.108
-+++ src/sawmill_subrs.h 2005/01/04 15:34:25 1.109
-@@ -51,7 +51,6 @@
- extern void commands_init (void);
-
- /* from display.c */
--extern char *prog_name;
- extern Display *dpy;
- extern int screen_num, screen_width, screen_height, preferred_depth;
- extern Visual *preferred_visual;
-
---- src/main.c 2003/01/12 20:35:23 1.48
-+++ src/main.c 2005/01/04 15:34:25 1.49
-@@ -41,6 +41,7 @@
- #include "build.h"
- #include <string.h>
- #include <limits.h>
-+#include <unistd.h>
- #include <X11/Xlocale.h> /* for setlocale () */
- #ifdef HAVE_GDK_PIXBUF
- #include <glib-object.h>
-@@ -49,9 +50,6 @@
- /* one of the ec_ values */
- int exit_code = ec_no_exit;
-
--/* Saved value of argv[0] */
--static char *prog_name;
--
- DEFSYM(sawfish_directory, "sawfish-directory");
- DEFSYM(sawfish_lisp_lib_directory, "sawfish-lisp-lib-directory");
- DEFSYM(sawfish_site_lisp_directory, "sawfish-site-lisp-directory");
-@@ -336,6 +334,7 @@
- char **old_argv;
- int old_argc;
- char *lang;
-+ char *prog_name;
-
- /* This will fork multiple copies, if necessary */
- multihead_init (&argc, &argv);
-
Index: extra/x11/sawfish/no-info.patch
diff -u /dev/null extra/x11/sawfish/no-info.patch:1.1
--- /dev/null Mon Oct 8 12:58:20 2007
+++ extra/x11/sawfish/no-info.patch Mon Oct 8 12:58:20 2007
@@ -0,0 +1,22 @@
+--- sawfish-1.3.1/Makefile.in.orig 2007-10-08 11:35:16.000000000 -0500
++++ sawfish-1.3.1/Makefile.in 2007-10-08 11:35:48.000000000 -0500
+@@ -29,7 +29,7 @@
+
+ OLD_BINARIES = sawmill sawmill-client sawmill-capplet sawmill-ui sawmill-themer
+
+-all : build.h DOC NEWS FAQ
++all : build.h DOC
+ for dir in $(SUBDIRS); do \
+ [ -d $$dir ] && ( cd $$dir && $(MAKE) $@ ) || exit 1; \
+ done
+--- sawfish-1.3.1/configure.in.orig 2007-10-08 11:39:32.000000000 -0500
++++ sawfish-1.3.1/configure.in 2007-10-08 11:39:40.000000000 -0500
+@@ -33,7 +33,7 @@
+ man/Makefile po/Makefile Makedefs Makefile sawfish.spec\
+ lisp/sawfish/gtk/widgets/font.jl"
+
+-SUBDIRS="src lisp scripts themes sounds man po"
++SUBDIRS="src lisp scripts themes sounds po"
+ AC_SUBST(SUBDIRS)
+
+ add_subdir () {
Index: extra/x11/sawfish/sawfish.desktop
diff -u extra/x11/sawfish/sawfish.desktop:1.1 extra/x11/sawfish/sawfish.desktop:removed
--- extra/x11/sawfish/sawfish.desktop:1.1 Sat Feb 7 21:14:50 2004
+++ extra/x11/sawfish/sawfish.desktop Mon Oct 8 12:58:20 2007
@@ -1,8 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Name=sawfish
-Comment=The sawfish window manager
-Exec=sawfish
-# no icon yet, only the top three are currently used
-Icon=
-Type=Application
Index: extra/x11/sawfish/sawfish.patch
diff -u extra/x11/sawfish/sawfish.patch:1.1 extra/x11/sawfish/sawfish.patch:removed
--- extra/x11/sawfish/sawfish.patch:1.1 Sun Oct 12 14:28:05 2003
+++ extra/x11/sawfish/sawfish.patch Mon Oct 8 12:58:20 2007
@@ -1,24 +0,0 @@
---- sawfish-1.2-gtk2/man/Makefile.in.old 2002-11-12 22:34:45.000000000 -0500
-+++ sawfish-1.2-gtk2/man/Makefile.in 2002-11-12 22:34:40.000000000 -0500
-@@ -35,7 +35,7 @@
- TEXI2DVI = texi2dvi
- DVIPS = dvips
-
--all : sawfish.info ../NEWS
-+all :
-
- ../NEWS : news.texi
- $(MAKEINFO) $(MAKEINFOFLAGS) --no-headers $< -o ../NEWS
-@@ -54,11 +54,7 @@
-
- man : sawfish.info sawfish.guide sawfish.doc sawfish.dvi sawfish.ps
-
--install : sawfish.info installdirs
-- for f in sawfish.info*; do \
-- $(INSTALL_DATA) $$f $(DESTDIR)$(infodir); \
-- done
-- -install-info --info-dir=$(DESTDIR)$(infodir) sawfish.info
-+install :
-
- installdirs : mkinstalldirs
- $(SHELL) $< $(DESTDIR)$(infodir)
More information about the arch-commits
mailing list